package org.dive4elements.river.artifacts.states;

import java.util.List;

import org.dive4elements.artifactdatabase.state.Facet;
import org.dive4elements.artifacts.CallContext;
import org.dive4elements.river.artifacts.D4EArtifact;
import org.dive4elements.river.artifacts.access.RiverAccess;
import org.dive4elements.river.artifacts.model.GaugeDischargeCurveFacet;
import org.dive4elements.river.artifacts.resources.Resources;


public class GaugeDischargeCurveState
extends DefaultState
{

    @Override
    public Object computeAdvance(
        D4EArtifact artifact,
        String hash,
        CallContext context,
        List<Facet> facets,
        Object old
    ) {
        RiverAccess access = new RiverAccess(artifact);
        String description = Resources.format(context.getMeta(),
                "facet.gauge_discharge_curve.description",
                "Discharge curve on gauge",
                access.getRiverName(),
                artifact.getDataAsString("gauge_name"));
        facets.add(new GaugeDischargeCurveFacet("gauge_discharge_curve", description));
        facets.add(new GaugeDischargeCurveFacet("at", "gauge_discharge_curve"));
        facets.add(new GaugeDischargeCurveFacet("csv", "gauge_discharge_curve"));
        facets.add(new GaugeDischargeCurveFacet("pdf", "gauge_discharge_curve"));
        return null;
    }
}
